using UnityEngine;
using UnityEngine.U2D;

public class UIAtlasMgr : MonoBehaviourSingletonTemplate<UIAtlasMgr>
{
    SpriteAtlas UIAtlas;

    public void Set(SpriteAtlas sa)
    {
        UIAtlas = sa;
    }

    public Sprite Get_Sprite(int itemid)
    {
        //var itemData = table_itemlist.Ins.Get_Data(itemid);
        //return UIAtlas.GetSprite(DSUtil.CheckNull(itemData) ? "" : itemData.s_ItemIcon);
        return null;
    }
    public Sprite Get_Sprite(string _name) { return UIAtlas.GetSprite(_name); }
}